Public Member Functions | Public Attributes | List of all members
MsWks4ZoneInternal::State Struct Reference

Internal: the state of a MsWks4Zone. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
bool | m_mainOle
| true if we parse the main MN0 More...
int | m_numColumns
| the number of column More...
bool | m_hasColumnSep
| true if a line is added to separated the column More...
bool | m_parsed
| a flag to known if the ole is already parsed More...
int | m_actPage
| the actual page More...
int | m_numPages
MWAWFont | m_defFont
| the default font More...
std::vector< Frame > | m_framesList
| the list of frames More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...

## Detailed Description

Internal: the state of a MsWks4Zone.

## Constructor & Destructor Documentation

## ◆ State()

MsWks4ZoneInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actPage

int MsWks4ZoneInternal::State::m_actPage

the actual page

## ◆ m_defFont

MWAWFont MsWks4ZoneInternal::State::m_defFont

the default font

## ◆ m_footerHeight

int MsWks4ZoneInternal::State::m_footerHeight

the footer height if known

## ◆ m_framesList

std::vector<Frame> MsWks4ZoneInternal::State::m_framesList

the list of frames

## ◆ m_hasColumnSep

bool MsWks4ZoneInternal::State::m_hasColumnSep

true if a line is added to separated the column

## ◆ m_headerHeight

int MsWks4ZoneInternal::State::m_headerHeight

the header height if known

## ◆ m_mainOle

bool MsWks4ZoneInternal::State::m_mainOle

true if we parse the main MN0

## ◆ m_numColumns

int MsWks4ZoneInternal::State::m_numColumns

the number of column

## ◆ m_numPages

int MsWks4ZoneInternal::State::m_numPages

## ◆ m_parsed

bool MsWks4ZoneInternal::State::m_parsed

a flag to known if the ole is already parsed

The documentation for this struct was generated from the following file:

- MsWks4Zone.cxx